Announcement Announcement Module
Collapse
No announcement yet.
[Neo4j] Upgrading requires what for datastore? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Neo4j] Upgrading requires what for datastore?

    Please forgive me if I've over-looked this, but when upgrading from something like
    Code:
    <spring-data-neo4j.version>2.1.0.RC3</spring-data-neo4j.version>
    <neo4j.version>1.8.M07</neo4j.version>
    to
    Code:
    <spring-data-neo4j.version>2.1.0.RC4</spring-data-neo4j.version>
    <neo4j.version>1.8.RC1</neo4j.version>
    does there need to be any upgrade script run on the datastore?

    In other words, will a Neo4j datastore automaticlly do any upgrade work required for version changes?

    Thanks.

  • #2
    treaves,

    In this case the store format doesn't change.

    We would be screaming from the rooftops if there was such a change. We ensure it happens very infrequently, probably would only happen with a major version upgrade.

    Regards,

    Lasse

    Comment

    Working...
    X